﻿#dropArea {
    min-height: 50px;
    padding-top: 15px;
    position: relative;
}

#drop {
    padding: 3% 30% 3%;
    display: inherit;
    border: 1px dashed #c3c3cc
}

.droparea {
    font-size: 16px;
}

.e-file-select-wrap {
    display: none;
}

.e-upload {
    float: none;
    border: none;
}

.ul-element {
    list-style: none;
    width: 100%;
    padding-left: 0;
}

.file-name {
    padding: 8px 6px 8px 0;
    font-size: 16px;
    width: 46%;
    display: inline-block;
    position: relative;
    top: 4px;
}

.file-size {
    padding: 4px;
    font-size: 16px;
    width: 18%;
    display: inline-block;
    position: relative;
}

.file-lists {
    border: 1px solid lightgray;
    padding: 0 6px 0 14px;
    margin-top: 15px;
    position: relative;
    background: rgba(0, 0, 0, 0.04);
}

.file-size, .file-name {
    font-family: "Helvetica Neue", "Helvetica", "Arial", "sans-serif";
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}

span.progress-bar-container {
    display: block;
    float: right;
    height: 20px;
    right: 13%;
    top: 14px;
    position: relative;
    width: 20%;
}

.progress {
    width: 100%;
    height: 15px;
    -webkit-appearance: none;
}

.close-icon-container {
    cursor: pointer;
    font-size: 11px;
    height: 24px;
    margin: 0 12px 0 22px;
    padding: 0;
    position: absolute;
    right: 0;
    width: 24px;
    top: 6px;
}

    .close-icon-container.e-icons::before {
        left: 7px;
        position: inherit;
        top: 7px;
        content: '\e932';
    }

    .close-icon-container.delete-icon::before {
        content: '\e94a';
    }

    .close-icon-container:hover {
        background-color: rgba(0, 0, 0, 0.12);
        border-color: transparent;
        border-radius: 50%;
        box-shadow: 0 0 0 transparent;
    }

.highcontrast .close-icon-container:hover {
    background-color: #ffd939;
    color: black;
}

.highcontrast .close-icon-container {
    color: #ffffff;
}

.upload-success {
    color: #2bc700;
}

.upload-fails {
    color: #f44336;
}

progress::-webkit-progress-bar {
    border: 1px solid lightgrey;
    background-color: #ffffff;
    border-radius: 2px;
}

#dropArea progress {
    border: 1px solid lightgrey;
    background-color: #ffffff;
    border-radius: 2px;
}

progress::-webkit-progress-value {
    border-radius: 2px;
    background-color: #ff4081;
}

progress::-moz-progress-bar {
    border-radius: 2px;
    background-color: #ff4081;
}

#dropArea span a {
    color: #ff4081;
}
